# Genie Create Message Comment

Launch stage: Public Preview

`POST /api/2.0/genie/spaces/{space_id}/conversations/{conversation_id}/messages/{message_id}/comments`

Create a comment on a conversation message.

API scopes: genie

## Path parameters

- `space_id` (string, optional)
  The ID associated with the Genie space.
  Example: `e1ef34712a29169db030324fd0e1df5f`
- `conversation_id` (string, optional)
  The ID associated with the conversation.
  Example: `e1ef34712a29169db030324fd0e1df5f`
- `message_id` (string, optional)
  The ID associated with the message.
  Example: `e1ef34712a29169db030324fd0e1df5f`

## Request body

- `content` (string, optional)
  Comment text content.
  Example: `This query could be optimized by adding an index on the date column.`
  Constraints: `<= 5000 characters`

## Returns

- `space_id` (string, optional)
  Genie space ID
  Example: `e1ef34712a29169db030324fd0e1df5f`
- `conversation_id` (string, optional)
  Conversation ID
  Example: `e1ef34712a29169db030324fd0e1df5f`
- `message_id` (string, optional)
  Message ID
  Example: `e1ef34712a29169db030324fd0e1df5f`
- `message_comment_id` (string, optional)
  Comment ID
  Example: `e1ef34712a29169db030324fd0e1df5f`
- `user_id` (int64, optional)
  ID of the user who created the comment
- `content` (string, optional)
  Comment text content
  Example: `This query result looks correct.`
  Constraints: `<= 5000 characters`
- `created_timestamp` (int64, optional)
  Timestamp when the comment was created

## Response

```json
{
  "space_id": "e1ef34712a29169db030324fd0e1df5f",
  "conversation_id": "e1ef34712a29169db030324fd0e1df5f",
  "message_id": "e1ef34712a29169db030324fd0e1df5f",
  "message_comment_id": "e1ef34712a29169db030324fd0e1df5f",
  "user_id": 0,
  "content": "This query result looks correct.",
  "created_timestamp": 0
}
```

